diff -Naur GConf-1.0.9.old/backends/Makefile.in GConf-1.0.9.new/backends/Makefile.in
--- GConf-1.0.9.old/backends/Makefile.in	Fri Mar 15 13:18:43 2002
+++ GConf-1.0.9.new/backends/Makefile.in	Sun May 19 14:47:27 2002
@@ -327,45 +327,45 @@
 bdb-backend.lo bdb-backend.o : bdb-backend.c ../gconf/gconf-backend.h \
 	../gconf/gconf-internals.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-value.h \
-	../gconf/GConf.h ../gconf/gconf-sources.h ../gconf/gconf.h \
+	../gconf/GConfI.h ../gconf/gconf-sources.h ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-engine.h bdb.h \
 	dir-utils.h
 bdb.lo bdb.o : bdb.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h \
-	../gconf/gconf-internals.h ../gconf/GConf.h ../config.h bdb.h \
+	../gconf/gconf-internals.h ../gconf/GConfI.h ../config.h bdb.h \
 	dir-utils.h val-encode.h
 dir-utils.lo dir-utils.o : dir-utils.c ../gconf/gconf-backend.h \
 	../gconf/gconf-internals.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-value.h \
-	../gconf/GConf.h ../gconf/gconf-sources.h ../gconf/gconf.h \
+	../gconf/GConfI.h ../gconf/gconf-sources.h ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-engine.h
 val-encode.lo val-encode.o : val-encode.c ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-value.h \
 	../gconf/gconf-error.h ../gconf/gconf-glib-public.h \
 	../gconf/gconf-engine.h ../gconf/gconf-internals.h \
-	../gconf/GConf.h dir-utils.h
+	../gconf/GConfI.h dir-utils.h
 xml-backend.lo xml-backend.o : xml-backend.c ../gconf/gconf-backend.h \
 	../gconf/gconf-internals.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-value.h \
-	../gconf/GConf.h ../gconf/gconf-sources.h ../gconf/gconf.h \
+	../gconf/GConfI.h ../gconf/gconf-sources.h ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-engine.h xml-cache.h \
 	xml-dir.h
 xml-cache.lo xml-cache.o : xml-cache.c xml-cache.h ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-value.h \
 	../gconf/gconf-error.h ../gconf/gconf-glib-public.h \
 	../gconf/gconf-engine.h xml-dir.h ../gconf/gconf-internals.h \
-	../gconf/GConf.h
+	../gconf/GConfI.h
 xml-dir.lo xml-dir.o : xml-dir.c xml-dir.h ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-value.h \
 	../gconf/gconf-error.h ../gconf/gconf-glib-public.h \
 	../gconf/gconf-engine.h xml-entry.h ../gconf/gconf-internals.h \
-	../gconf/GConf.h
+	../gconf/GConfI.h
 xml-entry.lo xml-entry.o : xml-entry.c xml-entry.h ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-value.h \
 	../gconf/gconf-error.h ../gconf/gconf-glib-public.h \
 	../gconf/gconf-engine.h ../gconf/gconf-internals.h \
-	../gconf/GConf.h
+	../gconf/GConfI.h
 
 info-am:
 info: info-am
diff -Naur GConf-1.0.9.old/backends/bdb.h GConf-1.0.9.new/backends/bdb.h
--- GConf-1.0.9.old/backends/bdb.h	Wed Oct 17 12:43:01 2001
+++ GConf-1.0.9.new/backends/bdb.h	Sun May 19 14:42:34 2002
@@ -116,6 +116,7 @@
 
 #ifndef BDB_H
 
+#include <config.h>
 #ifdef HAVE_DB3_DB_H
 #include <db3/db.h>
 #else
diff -Naur GConf-1.0.9.old/configure GConf-1.0.9.new/configure
--- GConf-1.0.9.old/configure	Fri Mar 15 13:10:03 2002
+++ GConf-1.0.9.new/configure	Wed Jun 12 05:45:06 2002
@@ -4960,11 +4960,11 @@
     ;;
 
   darwin* | rhapsody*)
-    allow_undefined_flag='-undefined suppress'
+    allow_undefined_flag='-undefined suppress -flat_namespace'
     # FIXME: Relying on posixy $() will cause problems for
     #        cross-compilation, but unfortunately the echo tests do not
     #        yet detect zsh echo's removal of \ escapes.
-    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts -install_name $rpath/$soname $(test -n "$verstring" -a x$verstring != x0.0 && echo $verstring)'
+    archive_cmds='$CC $(test .$module = .yes && echo -bundle || echo -dynamiclib) $allow_undefined_flag -o $lib $libobjs $deplibs$linkopts $(test .$module != .yes && echo -install_name $rpath/$soname $tmp_verstring)'
     # We need to add '_' to the symbols in $export_symbols first
     #archive_expsym_cmds="$archive_cmds"' && strip -s $export_symbols'
     hardcode_direct=yes
diff -Naur GConf-1.0.9.old/gconf/Makefile.in GConf-1.0.9.new/gconf/Makefile.in
--- GConf-1.0.9.old/gconf/Makefile.in	Fri Mar 15 13:18:42 2002
+++ GConf-1.0.9.new/gconf/Makefile.in	Sun May 19 14:45:45 2002
@@ -168,7 +168,7 @@
 
 bin_PROGRAMS = gconfd-1 gconftool-1 gconf-sanity-check-1
 
-CORBA_SOURCES = GConf-common.c GConf-skels.c GConf-stubs.c GConf.h
+CORBA_SOURCES = GConfI-common.c GConfI-skels.c GConfI-stubs.c GConfI.h
 
 BUILT_SOURCES = $(CORBA_SOURCES)
 
@@ -192,7 +192,7 @@
 	gconfd.c
 
 
-gconfd_1_LDADD = $(EFENCE) $(INTLLIBS) $(OAF_LIBS) $(GLIB_LIBS) libgconf-$(MAJOR_VERSION).la
+gconfd_1_LDADD =  libgconf-$(MAJOR_VERSION).la $(EFENCE) $(INTLLIBS) $(OAF_LIBS) $(GLIB_LIBS)
 
 # gconf_testclient_SOURCES = \
 # 	testclient.c
@@ -203,7 +203,7 @@
 	gconftool.c
 
 
-gconftool_1_LDADD = $(EFENCE) $(INTLLIBS) $(OAF_LIBS) $(GLIB_LIBS) $(ORBIT_LIBS) $(POPT_LIBS) $(XML_LIBS) libgconf-$(MAJOR_VERSION).la
+gconftool_1_LDADD =  libgconf-$(MAJOR_VERSION).la $(EFENCE) $(INTLLIBS) $(OAF_LIBS) $(GLIB_LIBS) $(ORBIT_LIBS) $(POPT_LIBS) $(XML_LIBS)
 
 gconf_sanity_check_1_SOURCES = \
 	gconf-sanity-check.c
@@ -247,7 +247,7 @@
 libgconf_1_la_OBJECTS =  gconf-internals.lo gconf-backend.lo \
 gconf-changeset.lo gconf-error.lo gconf-glib.lo gconf-listeners.lo \
 gconf-locale.lo gconf-schema.lo gconf-sources.lo gconf-value.lo \
-gconf.lo GConf-common.lo GConf-skels.lo GConf-stubs.lo
+gconf.lo GConfI-common.lo GConfI-skels.lo GConfI-stubs.lo
 bin_PROGRAMS =  gconfd-1$(EXEEXT) gconftool-1$(EXEEXT) \
 gconf-sanity-check-1$(EXEEXT)
 PROGRAMS =  $(bin_PROGRAMS)
@@ -459,27 +459,27 @@
 	  fi; \
 	done
 	$(MAKE) $(AM_MAKEFLAGS) top_distdir="$(top_distdir)" distdir="$(distdir)" dist-hook
-GConf-common.lo GConf-common.o : GConf-common.c GConf.h
-GConf-skels.lo GConf-skels.o : GConf-skels.c GConf.h
-GConf-stubs.lo GConf-stubs.o : GConf-stubs.c GConf.h
+GConfI-common.lo GConfI-common.o : GConfI-common.c GConfI.h
+GConfI-skels.lo GConfI-skels.o : GConfI-skels.c GConfI.h
+GConfI-stubs.lo GConfI-stubs.o : GConfI-stubs.c GConfI.h
 gconf-backend.lo gconf-backend.o : gconf-backend.c gconf-backend.h \
 	gconf-internals.h gconf-error.h gconf-glib-public.h \
-	gconf-value.h GConf.h gconf-sources.h gconf-internals.h
+	gconf-value.h GConfI.h gconf-sources.h gconf-internals.h
 gconf-changeset.lo gconf-changeset.o : gconf-changeset.c \
 	gconf-changeset.h gconf.h gconf-schema.h gconf-value.h \
 	gconf-error.h gconf-glib-public.h gconf-engine.h \
-	gconf-internals.h gconf-error.h gconf-value.h GConf.h
+	gconf-internals.h gconf-error.h gconf-value.h GConfI.h
 gconf-database.o: gconf-database.c gconf-database.h gconf-error.h \
-	gconf-glib-public.h GConf.h gconf-listeners.h gconf-sources.h \
+	gconf-glib-public.h GConfI.h gconf-listeners.h gconf-sources.h \
 	gconf-value.h gconf-internals.h gconf-glib-private.h \
 	gconf-glib-public.h gconf-locale.h gconfd.h
 gconf-error.lo gconf-error.o : gconf-error.c gconf-error.h \
-	gconf-glib-public.h gconf-internals.h gconf-value.h GConf.h
+	gconf-glib-public.h gconf-internals.h gconf-value.h GConfI.h
 gconf-glib.lo gconf-glib.o : gconf-glib.c gconf-glib-public.h \
 	gconf-glib-private.h
 gconf-internals.lo gconf-internals.o : gconf-internals.c ../config.h \
 	gconf-internals.h gconf-error.h gconf-glib-public.h \
-	gconf-value.h GConf.h gconf-backend.h gconf-internals.h \
+	gconf-value.h GConfI.h gconf-backend.h gconf-internals.h \
 	gconf-sources.h gconf-error.h gconf-value.h gconf-schema.h \
 	gconf.h gconf-schema.h gconf-engine.h
 gconf-listeners.lo gconf-listeners.o : gconf-listeners.c \
@@ -487,34 +487,34 @@
 	gconf-error.h gconf-glib-public.h gconf-engine.h
 gconf-locale.lo gconf-locale.o : gconf-locale.c gconf-locale.h \
 	gconf-internals.h gconf-error.h gconf-glib-public.h \
-	gconf-value.h GConf.h
+	gconf-value.h GConfI.h
 gconf-sanity-check.o: gconf-sanity-check.c gconf.h gconf-schema.h \
 	gconf-value.h gconf-error.h gconf-glib-public.h gconf-engine.h \
-	gconf-internals.h gconf-error.h gconf-value.h GConf.h \
+	gconf-internals.h gconf-error.h gconf-value.h GConfI.h \
 	gconf-sources.h
 gconf-schema.lo gconf-schema.o : gconf-schema.c gconf-schema.h \
 	gconf-value.h gconf-error.h gconf-glib-public.h \
-	gconf-internals.h gconf-error.h gconf-value.h GConf.h
+	gconf-internals.h gconf-error.h gconf-value.h GConfI.h
 gconf-sources.lo gconf-sources.o : gconf-sources.c gconf-backend.h \
 	gconf-internals.h gconf-error.h gconf-glib-public.h \
-	gconf-value.h GConf.h gconf-sources.h gconf-sources.h \
+	gconf-value.h GConfI.h gconf-sources.h gconf-sources.h \
 	gconf-internals.h gconf-schema.h gconf.h gconf-schema.h \
 	gconf-engine.h
 gconf-value.lo gconf-value.o : gconf-value.c gconf-value.h gconf-error.h \
 	gconf-glib-public.h gconf-schema.h gconf-value.h \
-	gconf-internals.h GConf.h
-gconf.lo gconf.o : gconf.c GConf.h gconf.h gconf-schema.h gconf-value.h \
+	gconf-internals.h GConfI.h
+gconf.lo gconf.o : gconf.c GConfI.h gconf.h gconf-schema.h gconf-value.h \
 	gconf-error.h gconf-glib-public.h gconf-engine.h \
 	gconf-internals.h gconf-error.h gconf-value.h gconf-sources.h \
 	gconf-locale.h
 gconfd.o: gconfd.c ../config.h gconf-internals.h gconf-error.h \
-	gconf-glib-public.h gconf-value.h GConf.h gconf-sources.h \
+	gconf-glib-public.h gconf-value.h GConfI.h gconf-sources.h \
 	gconf-listeners.h gconf-locale.h gconf-schema.h gconf-value.h \
 	gconf-glib-private.h gconf-glib-public.h gconf.h gconf-schema.h \
 	gconf-engine.h gconf-error.h gconfd.h gconf-database.h
 gconftool.o: gconftool.c gconf.h gconf-schema.h gconf-value.h \
 	gconf-error.h gconf-glib-public.h gconf-engine.h \
-	gconf-internals.h gconf-error.h gconf-value.h GConf.h
+	gconf-internals.h gconf-error.h gconf-value.h GConfI.h
 
 info-am:
 info: info-am
@@ -605,8 +605,8 @@
 dist-hook:
 	cd $(distdir) ; rm -f $(BUILT_SOURCES)
 
-$(CORBA_SOURCES): $(srcdir)/GConf.idl
-	orbit-idl $(srcdir)/GConf.idl
+$(CORBA_SOURCES): $(srcdir)/GConfI.idl
+	orbit-idl $(srcdir)/GConfI.idl
 
 $(gconfd_1_OBJECTS) $(libgconf_1_la_OBJECTS): $(CORBA_SOURCES)
 
diff -Naur GConf-1.0.9.old/gconf/gconf-database.h GConf-1.0.9.new/gconf/gconf-database.h
--- GConf-1.0.9.old/gconf/gconf-database.h	Thu Jul 12 06:58:26 2001
+++ GConf-1.0.9.new/gconf/gconf-database.h	Sun May 19 14:42:34 2002
@@ -27,7 +27,7 @@
 #endif /* __cplusplus */
 
 #include "gconf-error.h"
-#include "GConf.h"
+#include "GConfI.h"
 #include "gconf-listeners.h"
 #include "gconf-sources.h"
 #include "gconf-internals.h"
diff -Naur GConf-1.0.9.old/gconf/gconf-internals.c GConf-1.0.9.new/gconf/gconf-internals.c
--- GConf-1.0.9.old/gconf/gconf-internals.c	Fri Mar 15 12:39:51 2002
+++ GConf-1.0.9.new/gconf/gconf-internals.c	Sun May 19 14:42:34 2002
@@ -28,6 +28,7 @@
 #include <string.h>
 #include <sys/stat.h>
 #include <sys/types.h>
+#include <sys/socket.h>
 #include <unistd.h>
 #include <stdlib.h>
 #include <stdio.h>
@@ -2692,6 +2693,9 @@
           return NULL;
         }
     }
+
+  /* needed on Darwin */
+  fsync (lock->lock_fd);
 
   return lock;
 }
diff -Naur GConf-1.0.9.old/gconf/gconf-internals.h GConf-1.0.9.new/gconf/gconf-internals.h
--- GConf-1.0.9.old/gconf/gconf-internals.h	Wed Nov 28 06:28:28 2001
+++ GConf-1.0.9.new/gconf/gconf-internals.h	Sun May 19 14:42:34 2002
@@ -29,7 +29,7 @@
 #include <glib.h>
 #include "gconf-error.h"
 #include "gconf-value.h"
-#include "GConf.h"
+#include "GConfI.h"
 
 gchar*       gconf_key_directory  (const gchar* key);
 const gchar* gconf_key_key        (const gchar* key);
diff -Naur GConf-1.0.9.old/gconf/gconf.c GConf-1.0.9.new/gconf/gconf.c
--- GConf-1.0.9.old/gconf/gconf.c	Wed Oct 17 12:43:04 2001
+++ GConf-1.0.9.new/gconf/gconf.c	Sun May 19 14:42:34 2002
@@ -18,7 +18,7 @@
  */
 
 #include <popt.h>
-#include "GConf.h"
+#include "GConfI.h"
 #include "gconf.h"
 #include "gconf-internals.h"
 #include "gconf-sources.h"
diff -Naur GConf-1.0.9.old/gconf/gconfd.c GConf-1.0.9.new/gconf/gconfd.c
--- GConf-1.0.9.old/gconf/gconfd.c	Wed Dec  5 07:09:43 2001
+++ GConf-1.0.9.new/gconf/gconfd.c	Sun May 19 14:42:34 2002
@@ -38,7 +38,7 @@
 #include "gconf-database.h"
 #include <orb/orbit.h>
 
-#include "GConf.h"
+#include "GConfI.h"
 
 #include <sys/types.h>
 #include <stdio.h>
diff -Naur GConf-1.0.9.old/gconf/gconfd.h GConf-1.0.9.new/gconf/gconfd.h
--- GConf-1.0.9.old/gconf/gconfd.h	Wed Mar  7 08:47:33 2001
+++ GConf-1.0.9.new/gconf/gconfd.h	Sun May 19 14:42:34 2002
@@ -27,7 +27,7 @@
 #endif /* __cplusplus */
 
 #include "gconf-error.h"
-#include "GConf.h"
+#include "GConfI.h"
 #include "gconf-database.h"
 
 PortableServer_POA gconf_get_poa ();
diff -Naur GConf-1.0.9.old/ltmain.sh GConf-1.0.9.new/ltmain.sh
--- GConf-1.0.9.old/ltmain.sh	Thu Mar  7 06:14:22 2002
+++ GConf-1.0.9.new/ltmain.sh	Sat May 25 04:17:42 2002
@@ -2858,6 +2858,11 @@
 	if test -n "$export_symbols" && test -n "$archive_expsym_cmds"; then
 	  eval cmds=\"$archive_expsym_cmds\"
 	else
+	  if test "x$verstring" = "x0.0"; then
+	    tmp_verstring=
+	  else
+	    tmp_verstring="$verstring"
+	  fi
 	  eval cmds=\"$archive_cmds\"
 	fi
 	IFS="${IFS= 	}"; save_ifs="$IFS"; IFS='~'
diff -Naur GConf-1.0.9.old/tests/Makefile.in GConf-1.0.9.new/tests/Makefile.in
--- GConf-1.0.9.old/tests/Makefile.in	Fri Mar 15 13:18:42 2002
+++ GConf-1.0.9.new/tests/Makefile.in	Sun May 19 14:48:10 2002
@@ -392,7 +392,7 @@
 testaddress.o: testaddress.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h \
-	../gconf/gconf-internals.h ../gconf/GConf.h \
+	../gconf/gconf-internals.h ../gconf/GConfI.h \
 	../gconf/gconf-backend.h ../gconf/gconf-sources.h
 testchangeset.o: testchangeset.c ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-value.h \
@@ -401,25 +401,25 @@
 testdirlist.o: testdirlist.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h \
-	../gconf/gconf-internals.h ../gconf/GConf.h
+	../gconf/gconf-internals.h ../gconf/GConfI.h
 testencode.o: testencode.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h \
-	../gconf/gconf-internals.h ../gconf/GConf.h
+	../gconf/gconf-internals.h ../gconf/GConfI.h
 testgconf.o: testgconf.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h \
-	../gconf/gconf-internals.h ../gconf/GConf.h
+	../gconf/gconf-internals.h ../gconf/GConfI.h
 testlisteners.o: testlisteners.c ../gconf/gconf-listeners.h
 testpersistence.o: testpersistence.c ../gconf/gconf.h \
 	../gconf/gconf-schema.h ../gconf/gconf-value.h \
 	../gconf/gconf-error.h ../gconf/gconf-glib-public.h \
 	../gconf/gconf-engine.h ../gconf/gconf-internals.h \
-	../gconf/GConf.h
+	../gconf/GConfI.h
 testschemas.o: testschemas.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h \
-	../gconf/gconf-internals.h ../gconf/GConf.h
+	../gconf/gconf-internals.h ../gconf/GConfI.h
 testunique.o: testunique.c ../gconf/gconf.h ../gconf/gconf-schema.h \
 	../gconf/gconf-value.h ../gconf/gconf-error.h \
 	../gconf/gconf-glib-public.h ../gconf/gconf-engine.h
diff -Naur GConf-1.0.9.old/wrappers/gtk/Makefile.in GConf-1.0.9.new/wrappers/gtk/Makefile.in
--- GConf-1.0.9.old/wrappers/gtk/Makefile.in	Fri Mar 15 13:18:44 2002
+++ GConf-1.0.9.new/wrappers/gtk/Makefile.in	Sun May 19 14:48:37 2002
@@ -356,7 +356,7 @@
 	../../gconf/gconf-value.h ../../gconf/gconf-error.h \
 	../../gconf/gconf-glib-public.h ../../gconf/gconf-engine.h \
 	../../gconf/gconf-listeners.h ../../gconf/gconf-changeset.h \
-	../../gconf/gconf-internals.h ../../gconf/GConf.h
+	../../gconf/gconf-internals.h ../../gconf/GConfI.h
 testgconfclient.o: testgconfclient.c gconf-client.h ../../gconf/gconf.h \
 	../../gconf/gconf-schema.h ../../gconf/gconf-value.h \
 	../../gconf/gconf-error.h ../../gconf/gconf-glib-public.h \
